import setuptools

setuptools.setup(
    name = "golum_pipe",
    version = "0.0.1",
    author = "Justin Janquart, Mick Wright",
    maintainer = "Justin Janquart",
    author_email = "j.janquart@uu.nl",
    license = "MIT",
    description=("Software to run the golum analysis in an automated way"
                 "making it easier to run on condor and run multiple chains"
                 "golum is a strong-lensing analyis pipeline"),
    packages = ["golum_pipe",
                "golum_pipe.core",
                "golum_pipe.data_analysis",
                "golum_pipe.data_generation",
                "golum_pipe.inference",
                "golum_pipe.input_handling",
                "golum_pipe.job_generation",
                "golum_pipe.population",
                "golum_pipe.postprocessing"],
    install_requires = ["golum",
                        "bilby",
                        "bilby_pipe"],
    extra_requires = ["smeagol"],
    entry_points = {"asimov.pipelines" : ["golum_image_1 = golum_pipe.asimov:GolumImage1",
                                          "golum_joint = golum_pipe.asimov:GolumJointPE",
                                          "golum_image_2 = golum_pipe.asimov:GolumImage2"],
                    "console_scripts" : [
                        "golum_first_image=golum_pipe.first_image:main",
                        "golum_second_image=golum_pipe.second_image:main",
                        "golum_image2_generation=golum_pipe.image2_generation:main",
                        "golum_image2_analysis=golum_pipe.image2_analysis:main",
                        "golum_generic_plot=golum_pipe.generic_plot:main",
                        "golum_typeII_bayes_factor=golum_pipe.typeII_bayes_factor:main",
                        "golum_reweight_joint_samples=golum_pipe.reweight_joint_samples:main",
                        "golum_compute_coherence_ratio=golum_pipe.compute_coherence_ratio:main",
                        "golum_symmetric=golum_pipe.symmetric:main",
                        "golum_symmetric_reweight=golum_pipe.reweight_symmetric_samples:main",
                        "golum_symmetric_clu_computation=golum_pipe.compute_symmetric_coherence_ratio:main",
                        "golum_joint_pe=golum_pipe.joint_pe:main",
                        "golum_joint_pe_analysis=golum_pipe.joint_pe_analysis:main",
                        "golum_joint_pe_compute_clu=golum_pipe.joint_pe_clu_computation:main",
                        "golum_compute_bayes_factor=golum_pipe.compute_bayes_factor:main"]},
    classifiers = ["Development Status :: 2 - Pre-Alpha",
                   "Intended Audience :: Science/Research",
                   "Topic :: Scientific/Engineering :: Physics",
                   "Programming Language :: Python :: 3.9",
                   "License :: OSI Approved :: MIT License"],
    python_requires = ">=3.8",
                   )
